### Method

# Secret Collection search_for_dbus_paths_finish

#### Declaration [src]

    gchar**
    secret_collection_search_for_dbus_paths_finish (
      SecretCollection* collection,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to search for items in a collection.

DBus object paths of the items will be returned. If you would to have `SecretItem` objects to be returned instead, then use the `secret_collection_search()` and `secret_collection_search_finish()` functions.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`result` | `GAsyncResult`
| Asynchronous result passed to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `utf8`
| An array of DBus object paths for matching items.
| The array is `NULL`-terminated.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.